#include "partition.h"
#include <algorithm>
using namespace std;
vector<int> a;
int n;
std::vector<int> solve(std::vector<int> A)
{
    a=A;
    n=a.size();
    vector<int>ans;
    for(int i=0;i<n/2;i++)
    {
        ans.push_back(i);
        ans.push_back((n-1)-i);
    }
    if(n%2)ans.push_back(n/2+1);
    return ans;
}
